function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import Type from "./../Type";
import Guide from "./Guide";

// 内库使用-start
import Toast from "./../../../Toast";
// 内库使用-end

/* 测试使用-start
import { Toast } from 'seedsui-react'
测试使用-end */

// 微信只支持分享到微信和朋友圈
function WeChat(_ref) {
  var shareTo = _ref.shareTo;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    visible = _useState2[0],
    setVisible = _useState2[1];
  if (shareTo !== null && shareTo !== void 0 && shareTo.wechat) {
    var _ref2 = (shareTo === null || shareTo === void 0 ? void 0 : shareTo.wechat) || {},
      title = _ref2.title,
      description = _ref2.description,
      url = _ref2.url,
      imageUrl = _ref2.imageUrl,
      onSuccess = _ref2.onSuccess,
      onFail = _ref2.onFail;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Type, {
      type: "wechat",
      onClick: function onClick() {
        window.top.wx.updateAppMessageShareData({
          title: title || '',
          desc: description || '',
          link: url || '',
          imgUrl: imageUrl || '',
          success: function success(res) {
            setVisible(true);
            onSuccess && onSuccess();
          },
          fail: function fail(err) {
            console.log('WeChat Share fail:', err);
            Toast.show({
              content: (err === null || err === void 0 ? void 0 : err.errMsg) || '分享失败'
            });
            onFail && onFail({
              errMsg: (err === null || err === void 0 ? void 0 : err.errMsg) || '分享失败'
            });
          }
        });
      }
    }), /*#__PURE__*/React.createElement(Guide, {
      visible: visible,
      onVisibleChange: setVisible
    }));
  }
  return null;
}
export default WeChat;